# Summary

- [介绍](README.md)
  - [better-scroll 是什么](README.md#better-scroll 是什么)
  - [起步](README.md#起步)
  - [滚动原理](README.md#滚动原理)
  - [better-scroll 在 MVVM 框架的应用](README.md#better-scroll-在-mvvm-框架的应用)
- [安装](installation.md)
  - [NPM](installation.md#npm)
  - [script 加载](installation.md#script-加载)
- [选项 / 基础](options.md)
  - [startX](options.md#startx)
  - [startY](options.md#starty)
  - [scrollX](options.md#scrollx)
  - [scrollY](options.md#scrolly)
  - [freeScroll](options.md#freescroll)
  - [directionLockThreshold](options.md#directionlockthreshold)
  - [eventPassthrough](options.md#eventpassthrough)
  - [click](options.md#click)
  - [tap](options.md#tap)
  - [bounce](options.md#bounce)
  - [bounceTime](options.md#bouncetime)
  - [momentum](options.md#momentum)
  - [momentumLimitTime](options.md#momentumlimittime)
  - [momentumLimitDistance](options.md#momentumlimitdistance)
  - [swipeTime](options.md#swipetime)
  - [swipeBounceTime](options.md#swipebouncetime)
  - [deceleration](options.md#deceleration)
  - [flickLimitTime](options.md#flicklimittime)
  - [flickLimitDistance](options.md#flicklimitdistance)
  - [resizePolling](options.md#resizepolling)
  - [probeType](options.md#probetype)
  - [preventDefault](options.md#preventdefault)
  - [preventDefaultException](options.md#preventdefaultexception)
  - [HWCompositing](options.md#hwcompositing)
  - [useTransition](options.md#usetransition)
  - [useTransform](options.md#usetransform)
  - [bindToWrapper](options.md#bindtowrapper)
  - [disableMouse](options.md#disablemouse)
  - [disableTouch](options.md#disabletouch)
  - [observeDOM](options.md#observedomv153)
- [选项 / 高级](options-advanced.md)
  - [wheel](options-advanced.md#wheel)
  - [snap](options-advanced.md#snap)
  - [scrollbar](options-advanced.md#scrollbar)
  - [pullDownRefresh](options-advanced.md#pulldownrefresh)
  - [pullUpLoad](options-advanced.md#pullupload)
- [方法 / 通用](api.md)
  - [refresh](api.md#refresh)
  - [scrollTo](api.md#scrolltox-y-time-easing)
  - [scrollBy](api.md#scrollbyx-y-time-easing)
  - [scrollToElement](api.md#scrolltoelementel-time-offsetx-offsety-easing)
  - [stop](api.md#stop)
  - [enable](api.md#enable)
  - [disable](api.md#disable)
  - [destroy](api.md#destroy)
- [方法 / 定制](api-specific.md)
  - [goToPage](api-specific.md#gotopagex-y-time-easing)
  - [next](api-specific.md#nexttime-easing)
  - [prev](api-specific.md#prevtime-easing)
  - [getCurrentPage](api-specific.md#getcurrentpage)
  - [wheelTo](api-specific.md#wheeltoindex)
  - [getSelectedIndex](api-specific.md#getselectedindex)
  - [finishPullDown](api-specific.md#finishpulldown)
  - [finishPullUp](api-specific.md#finishpullup)
- [事件](events.md)
  - [beforeScrollStart](events.md#beforescrollstart)
  - [scrollStart](events.md#scrollstart)
  - [scroll](events.md#scroll)
  - [scrollCancel](events.md#scrollcancel)
  - [scrollEnd](events.md#scrollend)
  - [touchEnd](events.md#touchend)
  - [flick](events.md#flick)
  - [refresh](events.md#refresh)
  - [destroy](events.md#destroy)
  - [pullingDown](events.md#pullingdown)
  - [pullingUp](events.md#pullingup)
- [属性](property.md)
  - [x](property.md#x)
  - [y](property.md#y)
  - [maxScrollX](property.md#maxscrollx)
  - [maxScrollY](property.md#maxscrolly)
  - [movingDirectionX](property.md#movingdirectionx)
  - [movingDirectionY](property.md#movingdirectiony)
  - [directionX](property.md#directionx)
  - [directionY](property.md#directiony)
  - [enabled](property.md#enabled)
  - [isInTransition](property.md#isintransition)
  - [isAnimating](property.md#isanimating)
 
  
  
    

